<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');
JHtml::_('behavior.caption');

function getParentIdA($id) {
	$db = JFactory::getDbo();
	$query = $db->getQuery(true);
	$query
		->select($db->qn('parent_id'))
		->from($db->qn('#__categories'))
		->where($db->qn('id') . ' LIKE '. $db->q($id));
	$db->setQuery($query);
	$result = $db->loadResult();
	return $result;
}

function getPathA($id) {
	$db = JFactory::getDbo();
	$query = $db->getQuery(true);
	$query
		->select($db->qn('path'))
		->from($db->qn('#__categories'))
		->where($db->qn('id') . ' LIKE '. $db->q($id));
	$db->setQuery($query);
	$result = $db->loadResult();
	return $result;
}

$app = JFactory::getApplication();
$menu = $app->getMenu();
$active_menu = $menu->getActive();

$params = $this->item->params;
$images = json_decode($this->item->images);
$images_src = $images->image_fulltext;
$images_alt = $images->image_fulltext_alt;
$title = $this->item->title;
$id = $this->item->id;

$fulltext = $this->item->fulltext;
$text = $this->item->text;

$date = date_create($this->item->publish_up);
$date2 = new DateTime($this->item->publish_up);


$parent_id = $this->item->parent_id;
$cat_id = $this->item->catid;

$fields = $this->item->jcfields;

$curl = JRoute::_(ContentHelperRoute::getCategoryRoute(getParentIdA($cat_id).":".getPathA(getParentIdA($cat_id))));

?>

<div id="article-page">
	<div class="container">
		<div class="inner">
			<?php if ( ( $params->get('show_page_heading') == 1 ) || ( $params->get("show_title") == 1 ) ): ?>
				<div class="article-heading">
	
					<?php if ( $params->get('show_page_heading') == 1 ): ?>
						<?php if ($params->get("page_heading")): ?>
							<h1 class="article-title"><?php echo $params->get("page_heading"); ?></h1>
						<?php else: ?>
							<h1 class="article-title"><?php echo $params->get("page_title"); ?></h1>
						<?php endif; ?>
					<?php endif; ?>
	
					<?php if ( $params->get("show_title") == 1 ): ?>
						<h1 class="article-title"><?php echo $title; ?></h1>
					<?php endif; ?>
	
				</div>
			<?php endif ?>
	
			<?php if ( $images_src ) : ?>
				<div class="row">
					<div class="col-12 order-2 col-md-7 order-md-1 article-text">
						<?php echo $text; ?>
					</div>
					<div class="col-12 order-1 col-md-5 order-md-2 article-image">
						<img src="<?php echo $images_src; ?>" alt="<?php echo $images_alt; ?>">
					</div>
				</div>
			<?php else: ?>
				<div class="article-text">
					<?php echo $text; ?>
				</div>
			<?php endif; ?>
	
		</div>
	</div>
</div>

<?php foreach($fields as $field): ?>
	<?php if ($field->name == "custom-bottom-section" && !empty($field->value)): ?>
		<div class="article-bottom-section">
			<div class="container">
				<div class="inner">
					<?php echo JHTML::_('content.prepare', $field->value); ?>
				</div>
			</div>
		</div>
	<?php endif; ?>
<?php endforeach; ?>