<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');

JHtml::_('behavior.caption');

$document = JFactory::getDocument();
$renderer = $document->loadRenderer('modules');

?>

<div id="articles-category" class="blogStyle2">
	<div class="inner">
		<div class="row">
			<?php // Category title start ?>
			<?php if ($this->params->get('show_page_heading') || $this->params->get('show_category_title') ) : ?>
				<div class="col-12 category-page-heading">
					<?php if ($this->params->get('show_page_heading')): ?>
						<h1 class="category-title"><?php echo $this->escape($this->params->get('page_heading')); ?></h1>
					<?php else : ?>
						<h1 class="category-title"><?php echo $this->category->title; ?></h1>
					<?php endif; ?>
				</div>
			<?php endif; ?>
			<?php // Category title end ?>

			<?php // Category description start ?>
			<?php if ($this->params->get('show_description') && $this->category->description) : ?>
				<div class="col-12 category-description">
					<?php echo JHtml::_('content.prepare', $this->category->description, '', 'com_content.category'); ?>
				</div>
			<?php endif; ?>
			<?php // Category description end ?>

			<?php // Category articles (intro items) start ?>
			<?php if(!empty($this->intro_items)): ?>
				<div class="col-12 category-articles">
					<div class="row">
						<?php $evenodd = true; ?>
						<?php foreach ($this->intro_items as $key => &$item): ?>
							<?php

								$this->item = &$item;
								$this->item->item_evenodd = $evenodd;
								echo $this->loadTemplate('item');

								if ($evenodd == true) {
									$evenodd = false; // nelyginis
								} else {
									$evenodd = true; // lyginis
								}
								?>
						<?php endforeach; ?>
					</div>
				</div>
			<?php else: ?>
				<div class="col-12 category-articles no-articles">
					<p>No articles found in category.</p>
				</div>
			<?php endif; ?>
			<?php // Category articles end ?>

			<?php // Pagination start ?>
			<?php if (($this->params->def('show_pagination', 1) == 1 || ($this->params->get('show_pagination') == 2)) && ($this->pagination->get('pages.total') > 1)) : ?>
				<div class="col-12 articles-pagination">
					<?php echo $this->pagination->getPagesLinks(); ?>
				</div>
			<?php endif; ?>
			<?php // Pagination end ?>
		</div>
	</div>
</div>