<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

// function getParentIdA($id) {
// 	$db = JFactory::getDbo();
// 	$query = $db->getQuery(true);
// 	$query
// 		->select($db->qn('parent_id'))
// 		->from($db->qn('#__categories'))
// 		->where($db->qn('id') . ' LIKE '. $db->q($id));
// 	$db->setQuery($query);
// 	$result = $db->loadResult();
// 	return $result;
// }

$item = $this->item;
$params = $item->params;

$id = $item->id;
$title = $item->title;

$introtext = $item->introtext;
$fulltext = $item->fulltext;
$text = $item->text;

$intro = explode(" ", strip_tags($text));

$images = json_decode($item->images);

$intro_image_src = $images->image_intro;
$intro_image_alt = $images->image_intro_alt;

$full_image_src = $images->image_fulltext;
$full_image_alt = $images->image_fulltext_alt;

$categoryID = $item->catid;
$categoryTitle = $item->category_title;
$catSlug = $item->catslug;

$created = $item->created;
$modified = $item->modified;
$publish_up = $item->publish_up;

$date = date_create($publish_up);
$date2 = new DateTime($publish_up);

$customField = $item->jcfields;

$articleSlug = $item->slug;
$language = $item->language;

$categoryUrl = JRoute::_(ContentHelperRoute::getCategoryRoute($catSlug));
$articleUrl = JRoute::_(ContentHelperRoute::getArticleRoute($articleSlug, $categoryID, $language));

$evenodd = $item->item_evenodd;
?>

<?php if($intro_image_src): ?>
	<div class="col-12 article-item with-image">
		<div class="inner">
			<div class="row">
				<div class="col-12 col-md-6 <?php echo ($evenodd) ? 'order-1 order-md-1 article-image-left' : 'order-1 order-md-2 article-image-right'; ?>">
					<a href="<?php echo $articleUrl; ?>">
						<img src="<?php echo $intro_image_src; ?>" alt="<?php echo $intro_image_alt; ?>">
					</a>
				</div>
				<div class="col-12 col-md-6 <?php echo ($evenodd) ? 'order-2 order-md-2 article-content-right' : ' order-2 order-md-1 article-content-left'; ?>">
					<div class="row">
						<div class="col-12 article-title">
							<a href="<?php echo $articleUrl; ?>"><?php echo $title; ?></a>
						</div>
						<div class="col-12 article-date">
							<?php echo date_format($date, 'd.m.Y'); ?>
						</div>
						<div class="col-12 article-intro">
							<?php for($i = 0; $i <= 20; $i++): ?>
							<?php echo $intro[$i] ?>
							<?php endfor; ?>...
						</div>
						<div class="col-12 article-readmore">
							<a href="<?php echo $articleUrl; ?>">Read more</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php else: ?>
	<div class="col-12 article-item no-image">
		<div class="inner">
			<div class="row">
				<div class="col-12 article-content-full">
					<div class="row">
						<div class="col-12 article-title">
							<a href="<?php echo $articleUrl; ?>"><?php echo $title; ?></a>
						</div>
						<div class="col-12 article-date">
							<?php echo date_format($date, 'd.m.Y'); ?>
						</div>
						<div class="col-12 article-intro">
							<?php for($i = 0; $i <= 20; $i++): ?>
							<?php echo $intro[$i] ?>
							<?php endfor; ?>...
						</div>
						<div class="col-12 article-readmore">
							<a href="<?php echo $articleUrl; ?>">Read more</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php endif; ?>