<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');

JHtml::_('behavior.caption');

// If the page class is defined, add to class as suffix.
// It will be a separate class if the user starts it with a space
?>


<div class="featured-articles <?php echo $this->pageclass_sfx; ?>">
	<div class="container">
		<div class="row">
			<?php if ($this->params->get('show_page_heading') || $this->params->get('show_category_title') ) : ?>
				<div class="col-12 page-header">
					<?php if ($this->params->get('show_page_heading')): ?>
						<h1 class="ph-title"><?php echo $this->escape($this->params->get('page_heading')); ?></h1>
					<?php else : ?>
						<h1 class="ph-title"><?php echo $this->category->title; ?></h1>
					<?php endif; ?>
				</div>
			<?php endif; ?>
			<?php $leadingcount = 0; ?>
			<?php if (!empty($this->lead_items)) : ?>
				<div class="col-12 leading-articles">
					<div class="row">
						<?php foreach ($this->lead_items as &$item) : ?>
							<div class="col-12 col-md-6 col-xl-3 article-item">
								<?php
								$this->item = &$item;
								echo $this->loadTemplate('item');
								?>
							</div>
							<?php
							$leadingcount++;
							?>
						<?php endforeach; ?>
					</div>
				</div>
			<?php endif; ?>
			<?php
			$introcount = count($this->intro_items);
			$counter = 0;
			?>
			<?php if (!empty($this->intro_items)) : ?>
				<div class="col-12 intro-articles">
					<div class="row">
						<?php foreach ($this->intro_items as $key => &$item) : ?>

						<div class="col-12 col-md-6 col-xl-3 article-item">
							<?php
							$this->item = &$item;
							echo $this->loadTemplate('item');
							?>
						</div>

						<?php endforeach; ?>
					</div>
				</div>
			<?php endif; ?>
		<?php if ($this->params->def('show_pagination', 2) == 1  || ($this->params->get('show_pagination') == 2 && $this->pagination->pagesTotal > 1)) : ?>
			<div class="pagination">

				<?php if ($this->params->def('show_pagination_results', 1)) : ?>
					<p class="counter pull-right">
						<?php echo $this->pagination->getPagesCounter(); ?>
					</p>
				<?php endif; ?>
				<?php echo $this->pagination->getPagesLinks(); ?>
			</div>
		<?php endif; ?>
	</div>
</div>
</div>