<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

// Create a shortcut for params.
$params  = &$this->item->params;

$item = &$this->item;
$title = $item->title;

$img_json  = json_decode($item->images);
$img = $img_json->{"image_intro"};
$img_alt = $img_json->{"image_intro_alt"};

$intro_text = $item->introtext;
$intro = explode(" ", strip_tags($intro_text));

$url = JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catid, $item->language));

?>

<div class="row">
	<?php if ($img): ?>
		<div class="col-12 article-image">
			<a href="<?php echo $url; ?>">
				<img src="<?php echo $img; ?>" alt="<?php echo $img_alt; ?>">
			</a>
		</div>		
	<?php endif ?>
	<div class="col-12 article-title">
		<a href="<?php echo $url; ?>">
			<?php echo $title; ?>
		</a>
	</div>
	<div class="col-12 article-intro">
		<?php for ($a = 0; ($a < 24 && $a < count($intro)); $a++): ?>
			<?php echo $intro[$a] . " "; ?>
		<?php endfor; ?>...
	</div>
	<div class="col-12 article-readmore">
		<span class="btn1">
			<a href="<?php echo $url; ?>">mehr</a>
		</span>
	</div>
</div>
