<?php
/**
 * @package     Joomla.Site
 * @subpackage  Templates.protostar
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

function modChrome($module, &$params, &$attribs)
{
	if ($module->content)
	{
		echo $module->content;
	}
}

function modChrome_noStyle($module, &$params, &$attribs)
{
	if ($module->content)
	{
		echo $module->content;
	}
}

function modChrome_title($module, &$params, &$attribs)
{
	if ($module->content) {
		$headerLevel = htmlspecialchars($params->get('header_tag'), ENT_COMPAT, 'UTF-8');
		?>
		<div class="module<?php echo htmlspecialchars($params->get('moduleclass_sfx'), ENT_COMPAT, 'UTF-8'); ?>">
			<?php if ($module->showtitle) : ?>
				<div class="module-title">
					<<?php echo $headerLevel; ?> class="mtitle"> <?php echo $module->title; ?> </<?php echo $headerLevel; ?>>
				</div>
			<?php endif; ?>
			<div class="module-content">
				<?php echo $module->content; ?>
			</div>
		</div>
		<?php
	}
}


function modChrome_bgimage($module, &$params, &$attribs)
{
	if ($module->content) {
		$headerLevel = htmlspecialchars($params->get('header_tag'), ENT_COMPAT, 'UTF-8');
		?>
		<div class="bg-image" style="background-image: url(<?php echo $params->get('backgroundimage'); ?>);"></div>

		<div class="module<?php echo htmlspecialchars($params->get('moduleclass_sfx'), ENT_COMPAT, 'UTF-8'); ?>">
			<?php if ($module->showtitle) : ?>
				<div class="module-title">
					<<?php echo $headerLevel; ?>> <?php echo $module->title; ?> </<?php echo $headerLevel; ?>>
				</div>
			<?php endif; ?>
			<div class="module-content">
				<?php echo $module->content; ?>
			</div>
		</div>
		<?php
	}
}

function modChrome_footer($module, &$params, &$attribs)
{
	if ($module->content) {
		$headerLevel = htmlspecialchars($params->get('header_tag'), ENT_COMPAT, 'UTF-8');
		$class = isset($attribs['class']) ? $attribs['class'] : 'col-12 footer-item';
		?>
		<div class="<?php echo $class; ?>">
			<div class="inner">
				<?php if ($module->showtitle) : ?>
					<div class="module-title">
						<<?php echo $headerLevel; ?> class="mtitle"><?php echo $module->title; ?></<?php echo $headerLevel; ?>>
					</div>
				<?php endif; ?>
				<div class="module-content">
					<?php echo $module->content; ?>
				</div>	
			</div>
		</div>
		<?php
	}
}