<?php
/**
 * @copyright	Copyright (C) 2017 Mox.lt. All rights reserved.
 * @license		Commercial Template. Do not use without written permission on Mox.lt.
 */

// No direct access.
header("Access-Control-Allow-Origin: *");
defined('_JEXEC') or die('Restricted access');

if (trim(JFactory::getApplication()->get("error_reporting")) == "development") {
	error_reporting(E_ALL);
	ini_set("display_errors",1);
}

include getcwd() . "/templates/".$this->template."/core/config.php";
include getcwd() . "/templates/".$this->template."/core/modrender.php";

$app = JFactory::getApplication();

$sitename = $app->getCfg('sitename');
$desc = $doc->getMetaData("description");

$menu = $app->getMenu();
$active_menu = $menu->getActive();
$view = JRequest::getVar('view', 1);

?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimal-ui">
	<meta name="format-detection" content="telephone=no">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="mobile-web-app-capable" content="yes">
	<?php if( $this->params->get("schema_url") ): ?>
		<?php if($menu->getActive() == $menu->getDefault() ) : ?>
			<?php
			$schema_url = sprintf("%s:\/\/%s\/", isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off' ? 'https' : 'http', $_SERVER['SERVER_NAME']);
			$schema_name = $doc->getTitle();
			$schema_alternate_name = $this->params->get('schema_alternate_name');
			$schema_alternate_url = $this->params->get('schema_alternate_url');
			?>
			<script type='application/ld+json'>{"@context":"http:\/\/schema.org","@type":"WebSite","url":"<?php echo $schema_url ?>","name":"<?php echo $schema_name; ?>","alternateName":"<?php echo $schema_alternate_name; ?>","potentialAction":{"@type":"SearchAction","target":"http:\/\/<?php echo $schema_alternate_url; ?>\/?s={search_term}","query-input":"required name=search_term"}}</script>
		<?php endif; ?>
	<?php endif; ?>

	<link rel="apple-touch-icon" sizes="180x180" href="favicon/apple-touch-icon.png">
	<link rel="icon" type="image/png" sizes="32x32" href="favicon/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="favicon/favicon-16x16.png">
	<link rel="manifest" href="favicon/site.webmanifest">
	<link rel="mask-icon" href="favicon/safari-pinned-tab.svg" color="#cd5b1b">
	<meta name="msapplication-TileColor" content="#cd5b1b">
	<meta name="theme-color" content="#cd5b1b">
	
	<jdoc:include type="head" />
	<link href="https://fonts.googleapis.com/css?family=Open+Sans:400,600,700&amp;subset=latin-ext" rel="stylesheet"> 

	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
		<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
	<![endif]-->

	<meta property="og:site_name" content="<?php echo $doc->getTitle() ; //$sitename; ?>"/>
	<meta property="og:title" content="<?php echo JFactory::getDocument()->getTitle(); ?>" />
	<meta property="og:description" content="<?php echo $desc; ?>" />
</head>
<?php
$pageClass = "";
// Add if page is main or inner page
if ( ($menu->getActive() == $menu->getDefault()) ) {
	$pageClass .= "default-page";
} else {
	$pageClass .= "inner-page";
}
// Add class of current menu item if have
if ( $active_menu->params["pageclass_sfx"] ) {
	$pageClass .= " ".$active_menu->params["pageclass_sfx"];
}
// Add class of current view
if ( $view ) {
	$pageClass .= " ".$view;
}
?>
<body class="<?php echo $pageClass; ?>">

	<?php if ( $this->countModules("top-logo") || $this->countModules("top-menu") ): ?>
	<nav id="navigation">
		<div id="mobile-menu">
			<div class="mheader">
				<div class="container">
					<div class="mlogo">
						<?php renderModule("top-logo", $this); ?>
					</div>
					<div class="mburger">
						<div id="top-burger">
							<div class="b-menu">
								<div class="b-bun b-bun--top"></div>
								<div class="b-bun b-bun--mid"></div>
								<div class="b-bun b-bun--bottom"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="mcontent">
				<div class="minner">
					<?php renderModule("top-menu", $this); ?>
				</div>
			</div>
		</div>
	</nav>
	<?php endif; ?>	

	<?php if ( $this->countModules("slider") || $this->countModules("banner") ): ?>
		<header>
			<?php if ( $this->countModules("slider") ): ?>
				<div id="slider">
					<?php renderModule("slider", $this); ?>
				</div>
			<?php endif; ?>
			<?php if ( $this->countModules("banner") ): ?>
				<div id="banner">
					<?php renderModule("banner", $this); ?>
				</div>
			<?php endif; ?>
		</header>
	<?php endif; ?>

	<?php if ( $this->countModules("sidebar") ): ?>
		<?php if (($this->params->get("hide_content") != JRequest::getVar("Itemid")) ): ?>
			<main>
				<div class="container">
					<div id="main" class="col-12 col-lg-8">
						<jdoc:include type="component" />
					</div>
					<div id="sidebar" class="col-12 col-lg-4">
						<jdoc:include type="modules" name="sidebar" style="stitle"/>
					</div>
				</div>
			</main>
		<?php endif; ?>
	<?php endif; ?>

	<?php if ( !$this->countModules("sidebar") ) : ?>
		<?php if ($this->params->get("hide_content") != JRequest::getVar("Itemid")): ?>
			<main>
				<jdoc:include type="component" />
			</main>
		<?php endif; ?>
	<?php endif; ?>

	<?php if ( $this->countModules("footer") ): ?>
		<footer>
			<div class="container">
				<div class="row">
					<?php renderFooterModule("footer", $this); ?>
				</div>
			</div>
		</footer>
	<?php endif; ?>


	<?php if ($template->wow): ?>
		<script src="<?php echo JURI::base() . "templates/".$this->template."/js/packages/wow.min.js"; ?>"></script>
		<script>
			new WOW().init();
		</script>
	<?php endif; ?>
	<script>
		jQuery(document).ready(function() {
			jQuery("form").append("<input type='hidden' name='<?php echo JSession::getFormToken(); ?>' value='1' />");
		})
	</script>
</body>
</html>
